nvidia-331-updates wrongly installed by an upgrade prevent GNOME shell to start

Bug #1403008 reported by Andreas Vollmayr
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Critical
Unassigned
nvidia-graphics-drivers-331-updates (Ubuntu)
Critical
Unassigned

Bug Description

Automatic Update (2014-12-11) prevents gnome shell from starting.
No login screen.
Just the ubuntu gnome logo
Still resposible, can be e.g. shut down properly by >halt.
The gnome shell (plymouth?) gets stuck during start.
Virtual console works fine.

System:
Ubuntu Gnome 14.04 amd 64

Problem:
Log apt log file says, that for some obscure reason nvidia packages were installed during the update.
Together with xserver-common, xserver-xorg-core, and plymouth updates.
Unfortunatly there is not nvidia graphics card.
Removing all nvidia packages seemed to solve the problem.

The follwing packages were installed, which I think are wrong:
libcuda1-331-updates
nvidia-331-updates
nvidia-331-updates-uvm
nvidia-libopencl1-331-updates
nvidia-prime
nvidia-settings

description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Revision history for this message
Alberto Salvia Novella (es20490446e) wrote :

In a Terminal please execute the following command, as it will gather some needed debugging information:
apport-collect 1403008

Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
importance: Undecided → Critical
status: New → Incomplete
Revision history for this message
Andreas Vollmayr (andreas-vollmayr) wrote : Re: [Bug 1403008] Re: nvidia-331-updates installed by update prevent Gnome shell to start

Hello Alberto,

fails with:

avollmay@avollmay-ThinkPad-X220:~$ apport-collect 1403008
Package nvidia-graphics-drivers-331-updates not installed and no hook
available, ignoring

which is no surprise.
Removing the nvidia stuff is the triage proposed.

All my computers (all without Nvidia, one with AMD card, the others with
Intel) try to install the Nvidia packages.
At the moment, I simply do not accept the updates.
There must be plenty of people having the same problem.

Where does the dependency stem from?
Shall I provide the apt log?

Regards, Andi.

On 16.12.2014 14:08, Alberto Salvia Novella wrote:
> In a Terminal please execute the following command, as it will gather some needed debugging information:
> apport-collect 1403008
>
> ** Changed in: nvidia-graphics-drivers-331-updates (Ubuntu)
> Importance: Undecided => Critical
>
> ** Changed in: nvidia-graphics-drivers-331-updates (Ubuntu)
> Status: New => Incomplete
>

Revision history for this message
Alberto Salvia Novella (es20490446e) wrote :

Andreas Vollmayr:
 > fails with:
 >
 > avollmay@avollmay-ThinkPad-X220:~$ apport-collect 1403008
 > Package nvidia-graphics-drivers-331-updates not installed and no hook
 > available, ignoring
 >
 > which is no surprise.

Oops! sorry.

Andreas Vollmayr:
> Shall I provide the apt log?

Yes, as it will tell why apt installed the package.

Revision history for this message
Andreas Vollmayr (andreas-vollmayr) wrote :

Attached: The complete log from the time on when nivida packages were
installed till now.

Its in German.
Hope it helps.

Regards, Andi.

On 17.12.2014 15:43, Alberto Salvia Novella wrote:
> Andreas Vollmayr:
> > fails with:
> >
> > avollmay@avollmay-ThinkPad-X220:~$ apport-collect 1403008
> > Package nvidia-graphics-drivers-331-updates not installed and no hook
> > available, ignoring
> >
> > which is no surprise.
>
> Oops! sorry.
>
>
> Andreas Vollmayr:
>> Shall I provide the apt log?
> Yes, as it will tell why apt installed the package.
>

Revision history for this message
Alberto Salvia Novella (es20490446e) wrote : Re: nvidia-331-updates installed by update prevent Gnome shell to start

This is the log translated into English.

Changed in xorg-server (Ubuntu):
importance: Undecided → Critical
summary: - nvidia-331-updates installed by update prevent Gnome shell to start
+ nvidia-331-updates installed by an xserver-xorg-core upgrade prevent
+ Gnome shell to start
Changed in xorg-server (Ubuntu):
status: New → Triaged
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Incomplete → Invalid
Changed in hundredpapercuts:
importance: Undecided → Critical
status: New → Triaged
summary: nvidia-331-updates installed by an xserver-xorg-core upgrade prevent
- Gnome shell to start
+ Gnome shell to start on Ubuntu GNOME 14.04
summary: nvidia-331-updates installed by an xserver-xorg-core upgrade prevent
- Gnome shell to start on Ubuntu GNOME 14.04
+ GNOME shell to start in Ubuntu GNOME 14.04
summary: nvidia-331-updates installed by an xserver-xorg-core upgrade prevent
- GNOME shell to start in Ubuntu GNOME 14.04
+ GNOME shell to start
summary: - nvidia-331-updates installed by an xserver-xorg-core upgrade prevent
- GNOME shell to start
+ nvidia-331-updates wrongly installed by an upgrade prevent GNOME shell
+ to start
no longer affects: xorg-server (Ubuntu)
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Invalid → Triaged
Revision history for this message
Alberto Salvia Novella (es20490446e) wrote :

This flaw could be a duplicate of bug #1401390.

Revision history for this message
linas (linasvepstas) wrote :

If its a duplicate of bug #1401390, then the problem should have gone away about 24-36 hours ago, as that fix has hit the trusty, utopic repositories about then.

Revision history for this message
Andreas Vollmayr (andreas-vollmayr) wrote :

I can confirm, that this is a dublicate bug.

libhwloc-plugins is installed on all my machines.

No Nvidia libraries proposed for installation any more.

It, however, seems to be necessary to remove

nvidia-libopencl1-331-updates
nvidia-settings

manually in oder to obtain an update of

libhwloc-plugins (1.8-1ubuntu1) to 1.8-1ubuntu1.14.04.1

and to obtain

ocl-icd-libopencl1 (2.1.3-4)

Remarkable: No Nvidia cards.

Revision history for this message
Alberto Salvia Novella (es20490446e) wrote :

Thanks for the info. So we are done.

tags: added: notified-as-critical
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers